#!/bin/sh
    
echo "installing init script..."

test -d /etc/init.d/ || {
    cat <<-EOF >&2
	dont know where to install the sysvinit scsript
	/etc/init.d doesnt exist
	installation cancelled
	EOF
    exit 1
}
cp -vf scripts/resources/tksuitectl /etc/init.d
chmod 744 /etc/init.d/tksuitectl

echo -n "creating init.d links... "
if [ -z "`which dpkg`" ] ; then
    echo -n "assuming SUSE... "
    ln -s /etc/init.d/tksuitectl /etc/init.d/rc2.d/S13tksuite
    ln -s /etc/init.d/tksuitectl /etc/init.d/rc3.d/S13tksuite
    ln -s /etc/init.d/tksuitectl /etc/init.d/rc5.d/S13tksuite
    ln -s /etc/init.d/tksuitectl /etc/init.d/rc2.d/K08tksuite
    ln -s /etc/init.d/tksuitectl /etc/init.d/rc3.d/K08tksuite
    ln -s /etc/init.d/tksuitectl /etc/init.d/rc5.d/K08tksuite
else
    echo "doing a debian installation:"
    update-rc.d tksuitectl defaults 90
fi

echo "Done! Got any errors? -> Please check root permissions"
